Subject: Re: bug#19068: Mail file vars aren't derived from customized message-directory

From: Ivan Shmakov <[email-masked]>
Date: Sat, 14 Feb 2015 06:54:47 +0000

>>>>> Lars Ingebrigtsen <[email-masked]> writes:

 >> The docstring for message-directory says ⌜Directory from which all
 >> other mail file variables are derived⌝, which is misleading because
 >> it implies that if you customize that variable, all other mail file
 >> variables will be changed to match your customization.

[…]

 > I don't think there's a bug here to fix, so I'm closing this report.

	I tend to agree that the docstring is misleading; either it
	should be fixed to provide more detail on the current behavior
	(say: “Setting this variable after 'message is loaded has no
	effect on the derived variables, though.”), or the current
	behavior should be changed so that the “derived” variables
	remain based on this variable’s value, irrespective of when the
	latter is set.

 >> Fixing this requires either the other vars to be changed into
 >> functions that dynamically derive pathnames from message-directory,

	Which is what the patch I’ve suggested earlier [1] should do.

[1] news:[email-masked]
    http://debbugs.gnu.org/19068#msg32

[…]

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A